Page MenuHomePhabricator

Migrate browser tests to Minerva from MobileFrontend
Closed, ResolvedPublic

Description

All browser tests excluding switch_views.feature should be moved from MobileFrontend to the new Minerva skin repo.

Acceptance criteria

  • Copy across Rakefile, Gemfile, Gemfile.lock, .rubocop.yml and tests/browser folder to the Minerva repository
  • Make sure you update README.mediawiki in the new Minerva skin to point to the gerrit url to allow developers to see edit history.
  • Make sure browser tests are setup to run on the beta cluster ( T166750 is merged and the job is working)
  • Manually remove all the files in MobileFrontend after the Minerva patch has been merged (https://gerrit.wikimedia.org/r/#/c/364325/)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2017, 9:58 PM

Change 358083 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] CI should pass

https://gerrit.wikimedia.org/r/358083

Change 364325 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove browser tests of features that now belong to Minerva

https://gerrit.wikimedia.org/r/364325

Blocked on T170201 - browser test job is failing because of this problem.

Change 358083 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Port browser tests from MobileFrontend to Minerva

https://gerrit.wikimedia.org/r/358083

Change 364608 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] QA: Add note about git history of browser tests in this repo

https://gerrit.wikimedia.org/r/364608

Jdlrobson updated the task description. (Show Details)Jul 11 2017, 9:57 PM

Change 364608 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] QA: Add note about git history of browser tests in this repo

https://gerrit.wikimedia.org/r/364608

Jdlrobson updated the task description. (Show Details)Jul 12 2017, 12:24 AM

Change 364325 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove browser tests of features that now belong to Minerva

https://gerrit.wikimedia.org/r/364325

Jdlrobson closed this task as Resolved.Jul 13 2017, 1:03 AM
Jdlrobson updated the task description. (Show Details)

Both builds are passing. \o/